Bug 1281548 - [SSUI] Focus on user field on login screen and identify user in banner
[SSUI] Focus on user field on login screen and identify user in banner
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS (Show other bugs)
5.5.0
Unspecified Unspecified
medium Severity medium
: GA
: 5.5.0
Assigned To: Aparna Karve
Kyrylo Zvyagintsev
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-12 13:20 EST by Dan Clarizio
Modified: 2015-12-08 08:46 EST (History)
6 users (show)

See Also:
Fixed In Version: 5.5.0.11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-08 08:46:52 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan Clarizio 2015-11-12 13:20:08 EST
Description of problem:
When the SSUI login screen is displayed, the cursor should be placed in the username field.  In addition, the user name should be displayed in the hover text of the user icon on the top right of the screen (currently shows "username").

Version-Release number of selected component (if applicable):
5.5
Comment 3 Dan Clarizio 2015-11-13 18:08:40 EST
https://github.com/ManageIQ/manageiq/pull/5441
Comment 5 CFME Bot 2015-11-16 16:19:55 EST
New commit detected on cfme/5.5.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=a65168cbef7ed6fd0edb35150a7504afb9d821f6

commit a65168cbef7ed6fd0edb35150a7504afb9d821f6
Merge: 7bc0ec0 46c2f0a
Author:     Oleg Barenboim <obarenbo@redhat.com>
AuthorDate: Mon Nov 16 10:16:39 2015 -0500
Commit:     Oleg Barenboim <obarenbo@redhat.com>
CommitDate: Mon Nov 16 10:16:39 2015 -0500

    Merge branch '5413-field-focus-and-user-name' into '5.5.z'
    
    Add autofocus, and current users name to SSUI
    
    Clean cherry-pick
    Upstream PR - https://github.com/ManageIQ/manageiq/pull/5441
    
    - Using the 'autofocus' HTML5 attribute with directive fallback
    - After a successful login fire off a filtered users query to fetch the current users info
    - Only the current users name and email are being captured.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1281548
    
    See merge request !458

 .../components/autofocus/autofocus.directive.js    | 29 ++++++++++++++++++++++
 .../components/navigation/header-nav.directive.js  |  3 ++-
 .../app/components/navigation/header-nav.html      |  4 +--
 .../client/app/services/session.service.js         | 15 +++++++++--
 .../client/app/states/login/login.html             |  2 +-
 .../client/app/states/login/login.state.js         | 13 +++++++++-
 spa_ui/self_service/client/index.html              |  1 +
 7 files changed, 60 insertions(+), 7 deletions(-)
Comment 8 errata-xmlrpc 2015-12-08 08:46:52 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:2551

Note You need to log in before you can comment on or make changes to this bug.